// Euler method (Leonhard Euler, 1707-1983)
//
// pi^2=6*(1/1^2+1/2^2+1/3^2+1/4^2...)
//
// $$ \frac{\pi^2}{6} = \frac{1}{1^2}+\frac{1}{2^2}+\frac{1}{3^2}+\frac{1}{4^2}\cdots $$
//

#include <iostream>
#include <cmath>

int main()
{
	int iteration = 0;
	std::cout << "Enter # of iterations :"; // 1000000
	std::cin >> iteration;
	long double pi = 0.0L;
	for (int i=1;i<=iteration;i++)
	{
		long double i_dbl = (long double)i;
		long double j = i_dbl*i_dbl;
		pi+=1.0L/j;
	}
	pi=sqrtl(6.0L*pi);
	std::cout.precision(18);
	std::cout << pi << std::endl;
}
